{
  "name": "nexus",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@babel/preset-react": "^7.16.0",
    "@babel/preset-typescript": "^7.16.0",
    "@commitlint/cli": "^13.2.1",
    "@commitlint/config-conventional": "^13.2.0",
    "@date-io/date-fns": "1.x",
    "@emotion/react": "^11.5.0",
    "@emotion/styled": "^11.3.0",
    "@mui/icons-material": "^5.0.4",
    "@mui/lab": "^5.0.0-alpha.54",
    "@mui/material": "^5.0.4",
    "@mui/styles": "^5.0.2",
    "@redux-saga/testing-utils": "^1.1.3",
    "@testing-library/jest-dom": "^5.11.4",
    "@testing-library/react": "^11.1.0",
    "@testing-library/user-event": "^12.1.10",
    "@types/enzyme": "^3.10.10",
    "@types/jest": "^27.0.2",
    "@types/node": "^12.0.0",
    "@types/react": "^17.0.0",
    "@types/react-dom": "^17.0.0",
    "@types/react-router-dom": "^5.3.1",
    "@types/redux-mock-store": "^1.0.3",
    "@typescript-eslint/eslint-plugin": "^5.1.0",
    "@typescript-eslint/parser": "^5.1.0",
    "@wojtekmaj/enzyme-adapter-react-17": "^0.6.5",
    "crypto-js": "^4.1.1",
    "date-fns": "^2.25.0",
    "enzyme": "^3.11.0",
    "eslint-plugin-react": "^7.26.1",
    "firebase": "8.8.0",
    "fishery": "^2.0.0",
    "husky": "^7.0.4",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-redux": "^7.2.6",
    "react-router-dom": "^5.3.0",
    "react-scripts": "4.0.3",
    "redux": "^4.1.1",
    "redux-mock-store": "^1.5.4",
    "redux-saga": "^1.1.3",
    "redux-saga-firebase": "^0.15.0",
    "typescript": "^4.1.2",
    "web-vitals": "^1.0.1",
    "workbox-background-sync": "^5.1.3",
    "workbox-broadcast-update": "^5.1.3",
    "workbox-cacheable-response": "^5.1.3",
    "workbox-core": "^5.1.3",
    "workbox-expiration": "^5.1.3",
    "workbox-google-analytics": "^5.1.3",
    "workbox-navigation-preload": "^5.1.3",
    "workbox-precaching": "^5.1.3",
    "workbox-range-requests": "^5.1.3",
    "workbox-routing": "^5.1.3",
    "workbox-strategies": "^5.1.3",
    "workbox-streams": "^5.1.3"
  },
  "devDependencies": {
    "@babel/core": "^7.2.2",
    "@babel/polyfill": "^7.2.5",
    "@babel/preset-env": "^7.3.1",
    "@babel/register": "^7.0.0",
    "@types/cucumber": "^7.0.0",
    "chai": "^4.2.0",
    "chromedriver": "^95.0.0",
    "cucumber": "5.1.0",
    "cucumber-html-reporter": "4.0.4",
    "selenium-webdriver": "4.0.0-alpha.1"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "jest",
    "test:cov": "jest --coverage",
    "test:auto": "./node_modules/.bin/cucumber-js --tags=\"not @draft and not @manual and not @unstable\" --require-module @babel/register --require-module @babel/polyfill -f json:cucumber_report.json -f progress",
    "eject": "react-scripts eject",
    "lint": "eslint src/**/*.ts src/**/*.tsx",
    "prepare": "husky install",
    "release": "yarn build && yarn deploy",
    "deploy": "firebase deploy --only hosting:invoicenexus"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
